<script setup lang="ts">

interface Education {
  year_from: string
  year_to: string
  degree: string
  school: string
  location: string
}
const props = defineProps<{ items: Education[] }>()
const items = computed(() => props.items);
</script>

<template>
  <section class="relative mb-14 last:mb-0">
    <div v-for="item in items" class="flex flex-col sm:gap-x-4 sm:flex-row mb-4 ml-4">
      <div class="elative sm:mr-6 dark:text-darkest whitespace-nowrap after:content-year-to-year after:invisible">
        <span class="absolute text-sm">{{ item.year_from }} - {{ item.year_to }}</span>
      </div>
      <div class="relative">
        <p class="text-sm">{{ item.degree }} <span class="text-sm">at {{ item.school }}</span></p>
      </div>
    </div>
  </section>
</template>